import { html as n } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, g = Object.getOwnPropertyDescriptor, l = (p, r, i, t) => {
  for (var e = t > 1 ? void 0 : t ? g(r, i) : r, o = p.length - 1, c; o >= 0; o--)
    (c = p[o]) && (e = (t ? c(r, i, e) : c(e)) || e);
  return t && e && m(r, i, e), e;
};
let s = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--userCircleLarge", this.class = "c-pieIcon c-pieIcon--userCircleLarge", this.name = "IconUserCircleLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--userCircleLarge"><path d="M16 16.875a4.375 4.375 0 1 0 0-8.75 4.375 4.375 0 0 0 0 8.75m0-7a2.625 2.625 0 1 1 0 5.25 2.625 2.625 0 0 1 0-5.25m0-6.125a12.25 12.25 0 1 0 0 24.5 12.25 12.25 0 0 0 0-24.5m0 1.75A10.5 10.5 0 0 1 26.5 16a10.4 10.4 0 0 1-2.004 6.125 6.88 6.88 0 0 0-6.055-3.5H13.56a6.92 6.92 0 0 0-6.064 3.5A10.5 10.5 0 0 1 16 5.5M8.755 23.586a5.13 5.13 0 0 1 4.804-3.211h4.882a5.12 5.12 0 0 1 4.804 3.211 10.5 10.5 0 0 1-14.49 0"></path></svg>`;
  }
};
l([
  a({ type: String, reflect: !0 })
], s.prototype, "size", 2);
l([
  a({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = l([
  h("icon-user-circle-large")
], s);
export {
  s as IconUserCircleLarge
};
